- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# dirac::Subband Class Reference

Class encapsulating all the metadata relating to a wavelet subband. More...

`#include <wavelet_utils.h>`

List of all members.

## Public Member Functions
| Subband ()
| Default constructor.
| Subband (int xpos, int ypos, int xlen, int ylen)
| Constructor.
| Subband (int xpos, int ypos, int xlen, int ylen, int d)
| Constructor.
| ~Subband ()
| Destructor.
int | Xl () const
| Return the width of the subband.
int | Xp () const
| Return the horizontal position of the subband.
int | Yl () const
| Return the height of the subband.
int | Yp () const
| Return the vertical position of the subband.
int | Max () const
| Return the index of the maximum bit of the largest coefficient.
double | Wt () const
| Return the subband perceptual weight.
int | Depth () const
| Return the depth of the subband in the transform.
int | Scale () const
| Return the scale of the subband, viewed as a subsampled version of the picture.
int | Qf (int n) const
| Return a quantisation factor.
int | Parent () const
| Return the index of the parent subband.
std::vector< int > | Children () const
| Return the indices of any child subbands.
int | Child (int n) const
void | SetQf (int n, int q)
| Set the perceptual weight.
void | SetWt (float w)
| Set the perceptual weight.
void | SetParent (int p)
| Set the parent index.
void | SetDepth (int d)
| Set the subband depth.
void | SetMax (int m)
| Set the index of the maximum bit of the largest coefficient.
void | SetChildren (std::vector< int > &clist)
| Set the indices of the children of the subband.
void | AddChild (int c)
| Add a child to the list of child subbands.

## Detailed Description

Class encapsulating all the metadata relating to a wavelet subband.

Definition at line 55 of file wavelet_utils.h.

## Constructor & Destructor Documentation

Subband::Subband | ( | int | xpos,
|  | int | ypos,
|  | int | xlen,
|  | int | ylen
| ) |

  | Constructor. The constructor parameters are Parameters:
  | xpos | the xposition of the subband when packed into a big array with all the others
  | ypos | the xposition of the subband
  | xlen | the width of the subband
  | ylen | the height of the subband
Definition at line 52 of file wavelet_utils.cpp.

Subband::Subband | ( | int | xpos,
|  | int | ypos,
|  | int | xlen,
|  | int | ylen,
|  | int | d
| ) |

  | Constructor. The constructor parameters are Parameters:
  | xpos | the xposition of the subband when packed into a big array with all the others
  | ypos | the xposition of the subband
  | xlen | the width of the subband
  | ylen | the height of the subband
  | d | the depth of the subband in the wavelet transform
Definition at line 64 of file wavelet_utils.cpp.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/wavelet_utils.h
- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/wavelet_utils.cpp